Subject: RE: FW: [Sip] I-D ACTION:draft-ietf-sip-history-info-04.txt

From: "Mary Barnes" <[email-masked]>
Date: Wed, 3 Nov 2004 11:28:43 -0500

Hi Takuya,

I apologize if I missed this specific point in your previous postings. You
are correct, that index of 2 should have been 1.1 and this  actually affects
the whole series and also affects the examples in  4.5.1 and 4.5.2.  All the
other entries are correct relative to the index of 2, it's just the 2 should
have been a 1.1, unless of course that proxy had a good reason for starting
at 2, which I don't explain so shouldn't use in the example.  

It looks like I introduced that error in the -01 version when I was updating
the example to include the index for all entries (as the index was
originally optional). I traced the change back to changes I made during the
middle of the day, so I can't even blame late nite editting.   I will
definitely make a note of that and update that in the -05 version, which
will hopefully be the one to go to the IESG.

I'm also copying the SIP list, so that folks are aware of this as they
review the document. 

Thanks for your careful review,
Mary

-----Original Message-----
From: Takuya Sawada [mailto:[email-masked]] 
Sent: Tuesday, November 02, 2004 4:29 AM
To: Barnes, Mary [NGC:B601:EXCH]
Subject: Re: FW: [Sip] I-D ACTION:draft-ietf-sip-history-info-04.txt

Hi Mary,

Each example flow in section 4.5 begins with the following messages,

   UA1        Proxy1  Proxy2     UA2      UA3      UA4      UA5 
                
   |            |         |        |        |        |        | 
   |--INVITE -->|         |        |        |        |        | 
   |            |-INVITE->|        |        |        |        | 
                 Supported: Histinfo 
                 History-Info: <sip:[email-masked]>;index=1,
                               <sip:[email-masked]>;index=2 

I think this should be

   UA1        Proxy1  Proxy2     UA2      UA3      UA4      UA5 
                
   |            |         |        |        |        |        | 
   |--INVITE -->|         |        |        |        |        | 
   |            |-INVITE->|        |        |        |        | 
                 Supported: Histinfo 
                 History-Info: <sip:[email-masked]>;index=1,
                               <sip:[email-masked]>;index=1.1

Note that the index of the second hi-entry is 1.1.
I made the same comment to the list before, but no response to it.

In Appendix C, it shows,

   UA1          Proxy        ACDGRP1 Svr   ACDGRP2 Svr UA2-ACDGRP2

   |              |              |             |          | 
   |--INVITE F1-->|              |             |          | 
    Supported:Histinfo 
   |              |              |             |          | 
   |              |--INVITE F2-->|             |          | 
                    Supported:Histinfo 
                    History-Info: <sip:[email-masked]>; index=1  
                    History-Info: <sip:[email-masked]>; index=1.1 

I can not find what is the difference between the two.
Are you saying that the former is "Retargeting within a  Proxy" and the 
latter is "Basic Forwarding"?
Am I missing something?

Thanks.

Regards,
Takuya

> 
> 
> Hi all,
> 
> Since this version should be ready for WGLC, a very detailed list of the
> changes is provided in the document, annotated as to the source, so I
won't
> repeat those details here.   The majority of the changes were the issues
> discussed at IETF-60, along with the agreements there to change the text
to
> non-normative in section 4 (Protocol structure) and to add some detail per
> Rohan's comment on the necessary processing should TLS not be available.
In
> addition, I received some proposed changes on a marked up hardcopy at
> IETF-61 from Eric Burger.  
> 
> The only items not discussed at IETF-60 were 2 items that came up on the
> list (one posted by John Elwell on August 18th on handling of privacy in
> responses) the other on Oct. 15th around the appropriate character format
> for the escaped headers in the URI. And, as always, there are various
minor
> editorial changes here and there while I was "in the area".  So, there
> should be no surprises with any of the changes, although, it is possible
> that there are still errors and nits that can be identified during WGLC.

> 
> Thanks,
> Mary
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Monday, October 25, 2004 3:07 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Sip] I-D ACTION:draft-ietf-sip-history-info-04.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Session Initiation Protocol Working Group
> of the IETF.
> 
> 	Title		: An Extension to the Session Initiation Protocol
> for Request History Information
> 	Author(s)	: M. Barnes
> 	Filename	: draft-ietf-sip-history-info-04.txt
> 	Pages		: 47
> 	Date		: 2004-10-25
> 	
> This draft defines a standard mechanism for capturing the history 
>    information associated with a SIP request.  This capability enables 
>    many enhanced services by providing the information as to how and why 
>    a call arrives at a specific application or user.  This draft defines 
>    a new optional SIP header, History-Info, for capturing the history 
>    information in requests. A new option tag, Histinfo, to be included 
>    in the Supported header, is defined to allow UAs to indicate whether 
>    the History-Info should be returned in responses to a request which 
>    has captured the history information. A new priv-value, history, is 
>    added to the Privacy header to allow for privacy handling of the 
>    History-Info header.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-sip-history-info-04.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in the body of the
> message.  
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
> to change your subscription settings.
> 
> 
> Internet-Drafts are also available by anonymous FTP. Login with the
username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-ietf-sip-history-info-04.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-sip-history-info-04.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> 
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

--------
Takuya Sawada
KDDI Corporation (KDDI)
Garden Air Tower, 3-10-10, Iidabashi, 
Chiyoda-ku, Tokyo 102-8460, Japan
Tel: +81-3-6678-2997
Fax: +81-3-6678-0286
[email-masked]

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip